package com.novapp.nova_alarm_plugin.utils;

import android.content.Context;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;

public class ResourceUtils {

    public static int getAppLogoId(Context context) {
        return context.getResources().getIdentifier("ic_launcher",
                "mipmap", context.getPackageName());

    }

    public static String getAppName(Context context){
        try {
            PackageInfo pkgInfo = context.getPackageManager().getPackageInfo(context.getPackageName(), 0);
            return pkgInfo.applicationInfo.loadLabel(context.getPackageManager()).toString();
        } catch (PackageManager.NameNotFoundException e) {
            e.printStackTrace();
        }
        return "App";
    }

}
